<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2Heading" xlink:label="NewIssuanceOfCorporateBondsOtherThanShortTermBonds2Heading"/>
    <link:label xlink:type="resource" xlink:label="label_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2Heading" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">New issuance of corporate bonds other than short term bonds, 10-year bond</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NewIssuanceOfCorporateBondsOtherThanShortTermBonds2Heading" xlink:to="label_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2Heading" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2Heading_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">New issuance of corporate bonds other than short term bonds-2 [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NewIssuanceOfCorporateBondsOtherThanShortTermBonds2Heading" xlink:to="label_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2Heading_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2TextBlock" xlink:label="NewIssuanceOfCorporateBondsOtherThanShortTermBonds2TextBlock"/>
    <link:label xlink:type="resource" xlink:label="label_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2TextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">New issuance of corporate bonds other than short term bonds, 10-year bond</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NewIssuanceOfCorporateBondsOtherThanShortTermBonds2TextBlock" xlink:to="label_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2TextBlock" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2TextBlock_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">New issuance of corporate bonds other than short term bonds-2 [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NewIssuanceOfCorporateBondsOtherThanShortTermBonds2TextBlock" xlink:to="label_NewIssuanceOfCorporateBondsOtherThanShortTermBonds2TextBlock_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_UnderwritingOfBondsAndAppointmentOfBondAdministrator2Heading" xlink:label="UnderwritingOfBondsAndAppointmentOfBondAdministrator2Heading"/>
    <link:label xlink:type="resource" xlink:label="label_UnderwritingOfBondsAndAppointmentOfBondAdministrator2Heading" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Underwriting of bonds and appointment of bond administrator, 10-year bond</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnderwritingOfBondsAndAppointmentOfBondAdministrator2Heading" xlink:to="label_UnderwritingOfBondsAndAppointmentOfBondAdministrator2Heading" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_UnderwritingOfBondsAndAppointmentOfBondAdministrator2Heading_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Underwriting of bonds and appointment of bond administrator-2 [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnderwritingOfBondsAndAppointmentOfBondAdministrator2Heading" xlink:to="label_UnderwritingOfBondsAndAppointmentOfBondAdministrator2Heading_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_UnderwritingOfBonds2Heading" xlink:label="UnderwritingOfBonds2Heading"/>
    <link:label xlink:type="resource" xlink:label="label_UnderwritingOfBonds2Heading" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Underwriting of bonds</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnderwritingOfBonds2Heading" xlink:to="label_UnderwritingOfBonds2Heading" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_UnderwritingOfBonds2Heading_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Underwriting of bonds-2 [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnderwritingOfBonds2Heading" xlink:to="label_UnderwritingOfBonds2Heading_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_UnderwritingOfBonds2TextBlock" xlink:label="UnderwritingOfBonds2TextBlock"/>
    <link:label xlink:type="resource" xlink:label="label_UnderwritingOfBonds2TextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Underwriting of bonds</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnderwritingOfBonds2TextBlock" xlink:to="label_UnderwritingOfBonds2TextBlock" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_UnderwritingOfBonds2TextBlock_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Underwriting of bonds-2 [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnderwritingOfBonds2TextBlock" xlink:to="label_UnderwritingOfBonds2TextBlock_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_AppointmentOfBondAdministrator2Heading" xlink:label="AppointmentOfBondAdministrator2Heading"/>
    <link:label xlink:type="resource" xlink:label="label_AppointmentOfBondAdministrator2Heading" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Appointment of bond administrator</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AppointmentOfBondAdministrator2Heading" xlink:to="label_AppointmentOfBondAdministrator2Heading" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_AppointmentOfBondAdministrator2Heading_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Appointment of bond administrator-2 [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AppointmentOfBondAdministrator2Heading" xlink:to="label_AppointmentOfBondAdministrator2Heading_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_AppointmentOfBondAdministratorNA2" xlink:label="AppointmentOfBondAdministratorNA2"/>
    <link:label xlink:type="resource" xlink:label="label_AppointmentOfBondAdministratorNA2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Appointment of bond administrator (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AppointmentOfBondAdministratorNA2" xlink:to="label_AppointmentOfBondAdministratorNA2" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_AppointmentOfBondAdministratorNA2_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Appointment of bond administrator (N/A)-2</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AppointmentOfBondAdministratorNA2" xlink:to="label_AppointmentOfBondAdministratorNA2_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_NotesBusinessCombinationsConsolidatedFinancialStatementsNA" xlink:label="NotesBusinessCombinationsConsolidatedFinancialStatementsNA"/>
    <link:label xlink:type="resource" xlink:label="label_NotesBusinessCombinationsConsolidatedFinancialStatementsNA" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Notes - Business combinations (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesBusinessCombinationsConsolidatedFinancialStatementsNA" xlink:to="label_NotesBusinessCombinationsConsolidatedFinancialStatementsNA" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_NotesBusinessCombinationsConsolidatedFinancialStatementsNA_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Notes - Business combinations, Consolidated financial statements (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesBusinessCombinationsConsolidatedFinancialStatementsNA" xlink:to="label_NotesBusinessCombinationsConsolidatedFinancialStatementsNA_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_NotesAssetRetirementObligationsConsolidatedFinancialStatementsNA" xlink:label="NotesAssetRetirementObligationsConsolidatedFinancialStatementsNA"/>
    <link:label xlink:type="resource" xlink:label="label_NotesAssetRetirementObligationsConsolidatedFinancialStatementsNA" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Notes - Asset retirement obligations (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesAssetRetirementObligationsConsolidatedFinancialStatementsNA" xlink:to="label_NotesAssetRetirementObligationsConsolidatedFinancialStatementsNA" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_NotesAssetRetirementObligationsConsolidatedFinancialStatementsNA_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Notes - Asset retirement obligations, Consolidated financial statements (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesAssetRetirementObligationsConsolidatedFinancialStatementsNA" xlink:to="label_NotesAssetRetirementObligationsConsolidatedFinancialStatementsNA_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_NotesBusinessCombinationsFinancialStatementsNA" xlink:label="NotesBusinessCombinationsFinancialStatementsNA"/>
    <link:label xlink:type="resource" xlink:label="label_NotesBusinessCombinationsFinancialStatementsNA" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Notes - Business combinations (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesBusinessCombinationsFinancialStatementsNA" xlink:to="label_NotesBusinessCombinationsFinancialStatementsNA" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_NotesBusinessCombinationsFinancialStatementsNA_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Notes - Business combinations, Financial statements (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesBusinessCombinationsFinancialStatementsNA" xlink:to="label_NotesBusinessCombinationsFinancialStatementsNA_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_NotesAssetRetirementObligationsFinancialStatementsNA" xlink:label="NotesAssetRetirementObligationsFinancialStatementsNA"/>
    <link:label xlink:type="resource" xlink:label="label_NotesAssetRetirementObligationsFinancialStatementsNA" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Notes - Asset retirement obligations (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesAssetRetirementObligationsFinancialStatementsNA" xlink:to="label_NotesAssetRetirementObligationsFinancialStatementsNA" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_NotesAssetRetirementObligationsFinancialStatementsNA_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Notes - Asset retirement obligations, Financial statements (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesAssetRetirementObligationsFinancialStatementsNA" xlink:to="label_NotesAssetRetirementObligationsFinancialStatementsNA_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_RecentFinancialStatementsNA" xlink:label="RecentFinancialStatementsNA"/>
    <link:label xlink:type="resource" xlink:label="label_RecentFinancialStatementsNA" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Recent financial statements (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RecentFinancialStatementsNA" xlink:to="label_RecentFinancialStatementsNA" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_RecentFinancialStatementsNA_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Recent financial statements (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RecentFinancialStatementsNA" xlink:to="label_RecentFinancialStatementsNA_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_CommunicationsEquipmentReportableSegmentMember" xlink:label="CommunicationsEquipmentReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_CommunicationsEquipmentReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Communications equipment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CommunicationsEquipmentReportableSegmentMember" xlink:to="label_CommunicationsEquipmentReportableSegmentMember" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_CommunicationsEquipmentReportableSegmentMember_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Communications equipment, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CommunicationsEquipmentReportableSegmentMember" xlink:to="label_CommunicationsEquipmentReportableSegmentMember_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_ReserveForBMember" xlink:label="ReserveForBMember"/>
    <link:label xlink:type="resource" xlink:label="label_ReserveForBMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Reserve for B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForBMember" xlink:to="label_ReserveForBMember" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_ReserveForBMember_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Reserve for B [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForBMember" xlink:to="label_ReserveForBMember_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_ProvisionOfReserveForB" xlink:label="ProvisionOfReserveForB"/>
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfReserveForB" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Provision of reserve for B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfReserveForB" xlink:to="label_ProvisionOfReserveForB" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfReserveForB_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Provision of reserve for B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfReserveForB" xlink:to="label_ProvisionOfReserveForB_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_ReversalOfReserveForB" xlink:label="ReversalOfReserveForB"/>
    <link:label xlink:type="resource" xlink:label="label_ReversalOfReserveForB" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Reversal of reserve for B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfReserveForB" xlink:to="label_ReversalOfReserveForB" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_ReversalOfReserveForB_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Reversal of reserve for B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfReserveForB" xlink:to="label_ReversalOfReserveForB_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_ReserveForA" xlink:label="ReserveForA"/>
    <link:label xlink:type="resource" xlink:label="label_ReserveForA" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Reserve for A</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForA" xlink:to="label_ReserveForA" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_ReserveForA_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Reserve for A</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForA" xlink:to="label_ReserveForA_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_LossOnCOpeCF" xlink:label="LossOnCOpeCF"/>
    <link:label xlink:type="resource" xlink:label="label_LossOnCOpeCF" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Loss on C</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnCOpeCF" xlink:to="label_LossOnCOpeCF" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_LossOnCOpeCF_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Loss on C-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnCOpeCF" xlink:to="label_LossOnCOpeCF_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_PaymentForLossOnCOpeCF" xlink:label="PaymentForLossOnCOpeCF"/>
    <link:label xlink:type="resource" xlink:label="label_PaymentForLossOnCOpeCF" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Payment for loss on C</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentForLossOnCOpeCF" xlink:to="label_PaymentForLossOnCOpeCF" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_PaymentForLossOnCOpeCF_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Payment for loss on C-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentForLossOnCOpeCF" xlink:to="label_PaymentForLossOnCOpeCF_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_ReserveForB" xlink:label="ReserveForB"/>
    <link:label xlink:type="resource" xlink:label="label_ReserveForB" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Reserve for B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForB" xlink:to="label_ReserveForB" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_ReserveForB_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Reserve for B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForB" xlink:to="label_ReserveForB_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_LossOnCEL" xlink:label="LossOnCEL"/>
    <link:label xlink:type="resource" xlink:label="label_LossOnCEL" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Loss on C</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnCEL" xlink:to="label_LossOnCEL" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_LossOnCEL_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Loss on C-EL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnCEL" xlink:to="label_LossOnCEL_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2013-03-31/jpcrp_cor_2013-03-31.xsd#jpcrp_cor_NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading" xlink:label="NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading"/>
    <link:label xlink:type="resource" xlink:label="label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">New issuance of corporate bonds other than short term bonds, 5-year bond</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading" xlink:to="label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2013-03-31/label/jpcrp_2013-03-31_lab-en.xml#label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading" xlink:label="label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading_2" xlink:role="http://www.xbrl.org/2003/role/label"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading" xlink:to="label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsHeading_2" use="prohibited" priority="1" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2013-03-31/jpcrp_cor_2013-03-31.xsd#jpcrp_cor_NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock" xlink:label="NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock"/>
    <link:label xlink:type="resource" xlink:label="label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">New issuance of corporate bonds other than short term bonds, 5-year bond</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock" xlink:to="label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2013-03-31/label/jpcrp_2013-03-31_lab-en.xml#label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock" xlink:label="label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock_2" xlink:role="http://www.xbrl.org/2003/role/label"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock" xlink:to="label_NewIssuanceOfCorporateBondsOtherThanShortTermBondsTextBlock_2" use="prohibited" priority="1" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2013-03-31/jpcrp_cor_2013-03-31.xsd#jpcrp_cor_UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading" xlink:label="UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading"/>
    <link:label xlink:type="resource" xlink:label="label_UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Underwriting of bonds and appointment of bond administrator, 5-year bond</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading" xlink:to="label_UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2013-03-31/label/jpcrp_2013-03-31_lab-en.xml#label_UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading" xlink:label="label_UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading_2" xlink:role="http://www.xbrl.org/2003/role/label"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading" xlink:to="label_UnderwritingOfBondsAndAppointmentOfBondAdministratorHeading_2" use="prohibited" priority="1" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_MeasurementInstrumentsReportableSegmentMember" xlink:label="MeasurementInstrumentsReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_MeasurementInstrumentsReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Measurement instruments, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MeasurementInstrumentsReportableSegmentMember" xlink:to="label_MeasurementInstrumentsReportableSegmentMember" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_MeasurementInstrumentsReportableSegmentMember_2" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Measurement instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MeasurementInstrumentsReportableSegmentMember" xlink:to="label_MeasurementInstrumentsReportableSegmentMember_2" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="jpcrp020000-srs-001_X99001-000_2012-03-31_01_2012-08-20.xsd#jpcrp020000-srs_X99001-000_IndustrialMachineryReportableSegmentMember" xlink:label="IndustrialMachineryReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_IndustrialMachineryReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Industrial machinery</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IndustrialMachineryReportableSegmentMember" xlink:to="label_IndustrialMachineryReportableSegmentMember" order="1.0"/>
    <link:label xlink:type="resource" xlink:label="label_IndustrialMachineryReportableSegmentMember_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xml:lang="en">Industrial machinery, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IndustrialMachineryReportableSegmentMember" xlink:to="label_IndustrialMachineryReportableSegmentMember_2" order="1.0"/>
  </link:labelLink>
</link:linkbase>
